IHR = {}
IHR.Name = 'ImmersiveHorseRiding'
IHR.Version = '1.3'
 



local function OnMountStatusChange(eventCode, mounting)
   local close = GetSetting(SETTING_TYPE_CAMERA, CAMERA_SETTING_DISTANCE) <= "2.00000000"
	if mounting and close then 
        SetSetting(SETTING_TYPE_CAMERA, CAMERA_SETTING_DISTANCE, 0)
    end
end


local function OnZoneChange(eventID)
local close = GetSetting(SETTING_TYPE_CAMERA, CAMERA_SETTING_DISTANCE) <= "2.00000000"
    if IsMounted() and close then
        SetSetting(SETTING_TYPE_CAMERA, CAMERA_SETTING_DISTANCE, 0)
    end
end

local origToggleGameCameraFirstPerson = ToggleGameCameraFirstPerson
ToggleGameCameraFirstPerson = function(...)
	origToggleGameCameraFirstPerson (...)
	if KHCFOV == nil then --Khrill Helm Control FOV addin not loaded
		if tonumber(GetSetting(SETTING_TYPE_CAMERA, CAMERA_SETTING_DISTANCE)) >= 2 then
			SetSetting(SETTING_TYPE_CAMERA, CAMERA_SETTING_DISTANCE, "0.00000000")
		else
			SetSetting(SETTING_TYPE_CAMERA, CAMERA_SETTING_DISTANCE, "4.00000000")
		end
	end	
--    if tonumber(GetSetting(SETTING_TYPE_CAMERA, CAMERA_SETTING_DISTANCE)) == 0 then
--        SetSetting(SETTING_TYPE_CAMERA, CAMERA_SETTING_DISTANCE, 4)
--    else
--        SetSetting(SETTING_TYPE_CAMERA, CAMERA_SETTING_DISTANCE, 0)
--    end
end

local origCameraZoomIn = CameraZoomIn
CameraZoomIn = function(...)
--d("CameraZoomIn")
origCameraZoomIn (...)
    if IsMounted and GetSetting(SETTING_TYPE_CAMERA, CAMERA_SETTING_DISTANCE) <= "2.00000000" then
        SetSetting(SETTING_TYPE_CAMERA, CAMERA_SETTING_DISTANCE, "0.00000000")
    end
end
 
EVENT_MANAGER:RegisterForEvent(IHR.Name, EVENT_PLAYER_ACTIVATED, OnZoneChange)
EVENT_MANAGER:RegisterForEvent(IHR.Name, EVENT_MOUNTED_STATE_CHANGED, OnMountStatusChange)

